Subject: Re: Query about nonce field in Time-stamp response.

From: Peter Sylvester <[email-masked]>
Date: Thu, 25 Jan 2001 13:27:06 +0100 (MET)

> 
> > Time-Stamp Protocol Response contains Nonce field as a part of signed
> > TimeStamptoken. It will be stored as a part of timestamp token. But
> > the nonce will be checkedat the time of receiption of Time-Stamp token
> > against the client generated nonce.What will be the use of Nonce field
> > stored in the Time-stamp token when in the futurethe that token will
> > be used.Should nonce be a part of TSTInfo in time-stamp token and
> > stored as part of Time-stamp token ?

> 
> Replay detection is one thing, but there can be other uses of the nonce
> field.
That usage seems to be the intended one in this protocol.
As far as I remember there is no intended 'future' usage of a nonce
in a time stamp. 
 
> If you think of it, the nonce is an arbitrary choosen user identifier
> for the token ...
You can think about it but this sounds almost against the spirit of
the protocol. Imagine some 'client' saying:

  The Nonce is the DER encoding of a structure that contains
  the URL of the hashed document, plus a generalname of the entity
  who requested it, and whatever else, maybe even the whole document,
  etc. 

It think there is a good reason for saying 'invalidSenderNonce',
for example not accepting more than n octets, but that can be
covered by a more general error message today. 

PS